#!/bin/bash

set -e

source /scripts/utils.sh

ARTIFACTS_FOLDER="/artifacts"

# Make sure the environment variable is set
if [ -z "$S3_UPLOAD_BUCKET_NAME" ] # If not set
then
    cprint "Missing environment variable : 'S3_UPLOAD_BUCKET_NAME'" "red"
    exit 1
fi

print_header "Starting file upload process"

aws s3 sync "$ARTIFACTS_FOLDER" "s3://$S3_UPLOAD_BUCKET_NAME"

print_header "Finished uploading files to s3"
cprint "$0 done "
